<?xml version="1.0"?>
<package format="2">
  <name>panda_mover</name>
  <version>0.0.1</version>
  <description>panda_mover provides example code for controlling Franka Emika research robots with ros_control using QP control techniques</description>
  <maintainer email="lucas.joseph@inria.fr">Lucas Joseph</maintainer>
  <license>Apache 2.0</license>

  <author>Franka Emika GmbH</author>

  <buildtool_depend>catkin</buildtool_depend>

  <build_depend>message_generation</build_depend>
  <build_depend>eigen</build_depend>
  <build_depend>qpOASES</build_depend>
  <build_depend>trac_ik_lib</build_depend>
  <build_depend>orocos_kdl</build_depend>
  <build_depend>kdl_conversions</build_depend>
  <build_depend>eigen_conversions</build_depend>	
  <build_depend>nav_msgs</build_depend>
  <build_depend>std_msgs</build_depend>
  <build_depend>sensor_msgs</build_depend>
  <build_depend>franka_control</build_depend>
  <build_depend>franka_gripper</build_depend>
  <build_depend>actionlib</build_depend>
  <build_depend>actionlib_msgs</build_depend>
  <build_depend>message_generation</build_depend>
  <build_depend>gazebo_ros</build_depend>
  <build_depend>roscpp</build_depend>
  <build_depend>panda_traj</build_depend>
  <build_depend>gazebo_ros</build_depend>
  <build_depend>roscpp</build_depend>
  <build_depend>libqt5-dev</build_depend>

  <depend>controller_interface</depend>
  <depend>dynamic_reconfigure</depend>
  <depend>franka_hw</depend>
  <depend>geometry_msgs</depend>
  <depend>hardware_interface</depend>
  <depend>libfranka</depend>
  <depend>pluginlib</depend>
  <depend>realtime_tools</depend>
  
  <build_export_depend>gazebo_ros</build_export_depend>
  <build_export_depend>roscpp</build_export_depend>

  <exec_depend>franka_control</exec_depend>
  <exec_depend>franka_description</exec_depend>
  <exec_depend>franka_gripper</exec_depend>
  <exec_depend>message_runtime</exec_depend>
  <exec_depend>panda_moveit_config</exec_depend>
  <exec_depend>rospy</exec_depend>
  <exec_depend>qpOASES</exec_depend>
  <exec_depend>trac_ik_lib</exec_depend>
  <exec_depend>orocos_kdl</exec_depend>
  <exec_depend>kdl_conversions</exec_depend>
  <exec_depend>eigen_conversions</exec_depend>
  <exec_depend>nav_msgs</exec_depend>
  <exec_depend>std_msgs</exec_depend>
  <exec_depend>sensor_msgs</exec_depend>
  <exec_depend>actionlib</exec_depend>
  <exec_depend>actionlib_msgs</exec_depend>
  <exec_depend>message_runtime</exec_depend>
  <exec_depend>panda_traj</exec_depend>
  
  <exec_depend>gazebo_ros</exec_depend>
  <exec_depend>roscpp</exec_depend>
  <exec_depend>libqt5-dev</exec_depend>
  
  
  <export>
    <controller_interface plugin="${prefix}/panda_mover_plugin.xml"/>
    <gazebo_ros plugin_path="${prefix}/lib" gazebo_media_path="${prefix}" />
  </export>
</package>
